#### Previous topic

scipy.special.airye

#### Next topic

scipy.special.bi_zeros

# scipy.special.ai_zeros

`scipy.special.``ai_zeros`(nt)

  Compute nt zeros and values of the Airy function Ai and its derivative.

  Computes the first nt zeros, a, of the Airy function Ai(x); first nt zeros, ap, of the derivative of the Airy function Ai’(x); the corresponding values Ai(a’); and the corresponding values Ai’(a).

  Parameters:

  nt : int

  > Number of zeros to compute

  Returns:

  a : ndarray

  > First nt zeros of Ai(x)

  ap : ndarray

  > First nt zeros of Ai’(x)

  ai : ndarray

  > Values of Ai(x) evaluated at first nt zeros of Ai’(x)

  aip : ndarray

  > Values of Ai’(x) evaluated at first nt zeros of Ai(x)

  References

  [R340] | Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996. http://jin.ece.illinois.edu/specfunc.html